ppa-purge is not multi-arch aware

Bug #892886 reported by Robert Hooker on 2011-11-20
132
This bug affects 28 people
Affects Status Importance Assigned to Milestone
ppa-purge
Undecided
Unassigned
ppa-purge (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned

Bug Description

[Impact]

* Using ppa-purge on a ppa that has multi-arch packages will cause the aptitude dependency resolver to remove all foreign-arch packages installed on the system.

* This is fixed by generating a package revert list that explicity includes all multiarch packages

[Test Case]

1. Install ia32-libs and a ppa with multi-arch packages (i.e. ppa:gnome3-team/gnome3)
2. Try to purge this ppa.

Aptitude will prompt to remove all i386 packages on the system, effectively breaking multi-arch installation.

[Regression Potential]
None. ppa-purge is currently completely broken on multiarch systems. The changes in this script are also perfectly safe on non-multiarch systems, where the end result (i.e. generated package revert list) is the same as the previous version.

=== Original Bug Report ===
It doesn't seem to be parsing the extra list of sources for the other arch, leaving the other arch packages installed which prevents downgrading.

sarvatt@kyoko{~/source/ia32-libs-20090808ubuntu27}:sudo ppa-purge xorg-edgers
[sudo] password for sarvatt:
Updating packages lists
PPA to be removed: xorg-edgers ppa
comm: file 2 is not in sorted order
Package revert list generated:
 intel-gpu-tools/oneiric lib32ffi6/oneiric libcairo2/oneiric
libcairo2-dev/oneiric libcairo-gobject2/oneiric
libcairo-script-interpreter2/oneiric libdrm2/oneiric libdrm-dev/oneiric
libdrm-intel1/oneiric libdrm-nouveau1a/oneiric libdrm-radeon1/oneiric
libegl1-mesa/oneiric libegl1-mesa-dev/oneiric libegl1-mesa-drivers/oneiric
libffi6/oneiric libffi-dev/oneiric libgbm1/oneiric libgl1-mesa-dev/oneiric
libgl1-mesa-dri/oneiric libgl1-mesa-dri-experimental/oneiric
libgl1-mesa-glx/oneiric libglapi-mesa/oneiric libgles1-mesa/oneiric
libgles2-mesa/oneiric libglu1-mesa/oneiric libglu1-mesa-dev/oneiric
libkms1/oneiric libopenvg1-mesa/oneiric libpciaccess0/oneiric
libpciaccess-dev/oneiric libpixman-1-0/oneiric libpixman-1-dev/oneiric
libtxc-dxtn0/oneiric libunity-core-4.0-4/oneiric libva1/oneiric
libva-dev/oneiric libva-egl1/oneiric libva-glx1/oneiric libva-tpi1/oneiric
libva-x11-1/oneiric libwayland0/oneiric libwayland-dev/oneiric
linux-libc-dev/oneiric linux-tools-common/oneiric mesa-common-dev/oneiric
unity/oneiric unity-common/oneiric unity-services/oneiric x11-common/oneiric
xorg/oneiric xserver-common/oneiric xserver-xorg/oneiric
xserver-xorg-core/oneiric xserver-xorg-dev/oneiric
xserver-xorg-input-all/oneiric xserver-xorg-input-evdev/oneiric
xserver-xorg-input-mouse/oneiric xserver-xorg-input-synaptics/oneiric
xserver-xorg-input-vmmouse/oneiric xserver-xorg-input-wacom/oneiric
xserver-xorg-video-all/oneiric xserver-xorg-video-apm/oneiric
xserver-xorg-video-ark/oneiric xserver-xorg-video-ati/oneiric
xserver-xorg-video-chips/oneiric xserver-xorg-video-cirrus/oneiric
xserver-xorg-video-fbdev/oneiric xserver-xorg-video-i128/oneiric
xserver-xorg-video-intel/oneiric xserver-xorg-video-mach64/oneiric
xserver-xorg-video-mga/oneiric xserver-xorg-video-neomagic/oneiric
xserver-xorg-video-nouveau/oneiric xserver-xorg-video-openchrome/oneiric
xserver-xorg-video-qxl/oneiric xserver-xorg-video-r128/oneiric
xserver-xorg-video-radeon/oneiric xserver-xorg-video-rendition/oneiric
xserver-xorg-video-s3/oneiric xserver-xorg-video-s3virge/oneiric
xserver-xorg-video-savage/oneiric xserver-xorg-video-siliconmotion/oneiric
xserver-xorg-video-sis/oneiric xserver-xorg-video-sisusb/oneiric
xserver-xorg-video-tdfx/oneiric xserver-xorg-video-trident/oneiric
xserver-xorg-video-tseng/oneiric xserver-xorg-video-vesa/oneiric
xserver-xorg-video-vmware/oneiric xserver-xorg-video-voodoo/oneiric
xutils-dev/oneiric

Disabling xorg-edgers PPA from
/etc/apt/sources.list.d/xorg-edgers-ppa-oneiric.list
Disabling xorg-edgers PPA from
/etc/apt/sources.list.d/xorg-edgers-ppa-natty.list
Updating packages lists
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Release 'oneiric' for 'libtxc-dxtn0' was not found
E: Release 'oneiric' for 'libva-egl1' was not found
Unable to find an archive "oneiric" for the package "libtxc-dxtn0"
Unable to find an archive "oneiric" for the package "libva-egl1"
Unable to find an archive "oneiric" for the package "libtxc-dxtn0"
Unable to find an archive "oneiric" for the package "libva-egl1"
The following packages will be DOWNGRADED:
  intel-gpu-tools lib32ffi6 libcairo-gobject2
  libcairo-script-interpreter2 libcairo2 libcairo2-dev libdrm-dev
  libdrm-intel1{b} libdrm-nouveau1a{b} libdrm-radeon1{b} libdrm2{b}
  libegl1-mesa libegl1-mesa-dev libegl1-mesa-drivers libffi-dev
  libffi6{b} libgbm1 libgl1-mesa-dev libgl1-mesa-dri{b}
  libgl1-mesa-dri-experimental libgl1-mesa-glx{b} libglapi-mesa{b}
  libgles1-mesa libgles2-mesa libglu1-mesa libglu1-mesa-dev libkms1
  libopenvg1-mesa libpciaccess-dev libpciaccess0{b} libpixman-1-0
  libpixman-1-dev libunity-core-4.0-4 libva-dev libva-glx1 libva-tpi1
  libva-x11-1 libva1 libwayland-dev libwayland0 linux-libc-dev
  linux-tools-common mesa-common-dev unity unity-common unity-services
  x11-common xorg xserver-common xserver-xorg xserver-xorg-core
  xserver-xorg-dev xserver-xorg-input-all xserver-xorg-input-evdev
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-wacom
  xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev
  xserver-xorg-video-i128 xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-nouveau
  xserver-xorg-video-openchrome xserver-xorg-video-qxl
  xserver-xorg-video-r128 xserver-xorg-video-radeon
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-tseng
  xserver-xorg-video-vesa xserver-xorg-video-vmware
  xserver-xorg-video-voodoo xutils-dev
The following packages will be REMOVED:
  libtar0{u} libxcb-xv0{u} xul-ext-calendar-timezones{u}
0 packages upgraded, 0 newly installed, 89 downgraded, 3 to remove and 3 not upgraded.
Need to get 16.3 MB of archives. After unpacking 2,540 kB will be freed.
The following packages have unmet dependencies:
  libdrm-radeon1: Breaks: libdrm-radeon1 (!= 2.4.26-1ubuntu1) but 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric is installed.
  libdrm-radeon1: Breaks: libdrm-radeon1 (!= 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric) but 2.4.26-1ubuntu1 is to be installed.
  libva-driver-intel: Depends: libva1 (>= 1.0.14) but 1.0.12-2 is to be installed.
  libgl1-mesa-dri: Breaks: libgl1-mesa-dri (!= 7.11-0ubuntu3) but 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric is installed.
  libgl1-mesa-dri: Breaks: libgl1-mesa-dri (!= 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric) but 7.11-0ubuntu3 is to be installed.
  libgl1-mesa-glx: Breaks: libgl1-mesa-glx (!= 7.11-0ubuntu3) but 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric is installed.
  libgl1-mesa-glx: Breaks: libgl1-mesa-glx (!= 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric) but 7.11-0ubuntu3 is to be installed.
  libglapi-mesa: Breaks: libglapi-mesa (!= 7.11-0ubuntu3) but 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric is installed.
  libglapi-mesa: Breaks: libglapi-mesa (!= 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric) but 7.11-0ubuntu3 is to be installed.
  libffi6: Breaks: libffi6 (!= 3.0.11~rc1-2) but 3.0.11~rc1-5~oneiric1 is installed.
  libffi6: Breaks: libffi6 (!= 3.0.11~rc1-5~oneiric1) but 3.0.11~rc1-2 is to be installed.
  libdrm2: Breaks: libdrm2 (!= 2.4.26-1ubuntu1) but 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric is installed.
  libdrm2: Breaks: libdrm2 (!= 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric) but 2.4.26-1ubuntu1 is to be installed.
  libdrm-nouveau1a: Breaks: libdrm-nouveau1a (!= 2.4.26-1ubuntu1) but 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric is installed.
  libdrm-nouveau1a: Breaks: libdrm-nouveau1a (!= 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric) but 2.4.26-1ubuntu1 is to be installed.
  libdrm-intel1: Breaks: libdrm-intel1 (!= 2.4.26-1ubuntu1) but 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric is installed.
  libdrm-intel1: Breaks: libdrm-intel1 (!= 2.4.27+git20111104.961bf9b5-0ubuntu0sarvatt~oneiric) but 2.4.26-1ubuntu1 is to be installed.
  libva-egl1: Depends: libva1 (> 1.0.15) but 1.0.12-2 is to be installed.
  libpciaccess0: Breaks: libpciaccess0 (!= 0.12.1-2) but 0.12.902-0ubuntu0ricotz~oneiric0 is installed.
  libpciaccess0: Breaks: libpciaccess0 (!= 0.12.902-0ubuntu0ricotz~oneiric0) but 0.12.1-2 is to be installed.
  xserver-xorg-input-mtrack: Depends: xorg-input-abi-13 which is a virtual package.
                             Depends: xserver-xorg-core (>= 2:1.10.99.901) but 2:1.10.4-1ubuntu4 is to be installed.
The following actions will resolve these dependencies:

       Remove the following packages:
1) ia32-libs-multiarch
2) libacl1
3) libasound2
4) libasound2-plugins
5) libasyncns0
6) libatk1.0-0
7) libattr1
8) libaudio2
9) libavahi-client3
10) libavahi-common3
11) libc6
12) libcomerr2
13) libcups2
14) libcupsimage2
15) libcurl3
16) libdatrie1
17) libdb5.1
18) libdbus-1-3
19) libdrm-intel1
20) libdrm-nouveau1a
21) libdrm-radeon1
22) libdrm2
23) libexpat1
24) libffi6
25) libflac8
26) libfontconfig1
27) libfreetype6
28) libgcc1
29) libgcrypt11
30) libgdbm3
31) libgdk-pixbuf2.0-0
32) libgl1-mesa-dri
33) libgl1-mesa-glx
34) libglapi-mesa
35) libglib2.0-0
36) libgnutls26
37) libgpg-error0
38) libgssapi-krb5-2
39) libice6
40) libidn11
41) libjack-jackd2-0
42) libjasper1
43) libjpeg62
44) libjson0
45) libk5crypto3
46) libkeyutils1
47) libkrb5-3
48) libkrb5support0
49) liblcms1
50) libldap-2.4-2
51) libllvm2.9
52) libmng1
53) libnspr4
54) libnspr4-0d
55) libnss3
56) libnss3-1d
57) libogg0
58) libpciaccess0
59) libpcre3
60) libpng12-0
61) libpulse0
62) libqt4-dbus
63) libqt4-declarative
64) libqt4-designer
65) libqt4-network
66) libqt4-opengl
67) libqt4-qt3support
68) libqt4-script
69) libqt4-scripttools
70) libqt4-sql
71) libqt4-svg
72) libqt4-test
73) libqt4-xml
74) libqt4-xmlpatterns
75) libqtcore4
76) libqtgui4
77) librtmp0
78) libsamplerate0
79) libsasl2-2
80) libsasl2-modules
81) libselinux1
82) libsm6
83) libsndfile1
84) libspeexdsp1
85) libsqlite3-0
86) libssl1.0.0
87) libstdc++6
88) libtasn1-3
89) libthai0
90) libtiff4
91) libtxc-dxtn0
92) libudev0
93) libuuid1
94) libva-driver-intel
95) libva-egl1
96) libvorbis0a
97) libvorbisenc2
98) libwrap0
99) libx11-6
100) libx11-xcb1
101) libxau6
102) libxcb-dri2-0
103) libxcb-render0
104) libxcb-shm0
105) libxcb-xfixes0
106) libxcb1
107) libxcomposite1
108) libxcursor1
109) libxdamage1
110) libxdmcp6
111) libxext6
112) libxfixes3
113) libxft2
114) libxi6
115) libxinerama1
116) libxrandr2
117) libxrender1
118) libxss1
119) libxt6
120) libxxf86vm1
121) xserver-xorg-input-mtrack
122) zlib1g

       Leave the following dependencies unresolved:
123) ia32-libs recommends ia32-libs-multiarch
124) libgl1-mesa-glx recommends libgl1-mesa-dri (>= 7.2)

Accept this solution? [Y/n/q/?] q
Abandoning all efforts to resolve these dependencies.
Abort.

ProblemType: BugDistroRelease: Ubuntu 11.10
Package: ppa-purge 0.2.8+bzr56
ProcVersionSignature: Ubuntu 3.1.0-1.1-generic 3.1.0-rc6
Uname: Linux 3.1.0-1-generic x86_64
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
Date: Sun Nov 20 17:02:29 2011InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64+mac (20110427.1)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bashSourcePackage: ppa-purge
UpgradeStatus: Upgraded to oneiric on 2011-10-21 (30 days ago)

Related branches

Robert Hooker (sarvatt) wrote :
Changed in ppa-purge (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Micah Gersten (micahg) wrote :

I'm guessing this is due to Bug #831768 since ppa-purge uses aptitude.

tags: added: multiarch
Robert Hooker (sarvatt) wrote :

Possibly that will be hit once it is fixed, but the root of it is that it's not creating package revert lists for more than one arch and is leaving the other arch packages installed creating all kinds of conflicts unless I'm misunderstanding what I'm seeing. I'm attempting to fix it up now but it's a doozy

Robert Hooker (sarvatt) wrote :

It pulls the package names to revert from the PPAs from the /var/lib/apt/lists/whatever_Packages files that there used to be one of, now there are 2 (one for each arch) and the file names in there don't have the arch appended to the name for the foreign version

Robert Hooker (sarvatt) wrote :
Download full text (3.2 KiB)

my dpkg -l | grep mesa before running ppa-purge

ii libegl1-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the EGL API -- runtime
ii libegl1-mesa-dev 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the EGL API -- development files
ii libegl1-mesa-drivers 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the EGL API -- hardware drivers
ii libgl1-mesa-dev 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- GLX development files
ii libgl1-mesa-dri 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-dri:i386 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-dri-experimental 7.12.0~git20111119.bdffb941-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- Extra DRI modules
ii libgl1-mesa-glx 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- GLX runtime
ii libgl1-mesa-glx:i386 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL API -- GLX runtime
ii libglapi-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the GL API -- shared library
ii libglapi-mesa:i386 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the GL API -- shared library
ii libgles1-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL|ES 1.x API -- runtime
ii libgles2-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenGL|ES 2.x API -- runtime
ii libglu1-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric Mesa OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric Mesa OpenGL utility library -- development files
ii libopenvg1-mesa 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric free implementation of the OpenVG API -- runtime
ii mesa-common-dev 7.12.0~git20111118.a43908fe-0ubuntu0sarvatt~oneiric Developer documentation for Mesa
ii mesa-utils 8.0.1+git20110129+d8f7d6b-0ubuntu2 Miscellaneous Mesa GL utilities
ii mesa-utils-extra 8.0.1+git20110129+d8f7d6b-0ubuntu2 Miscellaneous Mesa utilies (opengles, egl)

note no foo:i386...

Read more...

Robert Hooker (sarvatt) on 2011-11-20
summary: - ppa-purge is does not work properly with multiarch
+ ppa-purge is not multi-arch aware
Nowaker (nowaker) wrote :

What's the status of this issue? Did you try to fix it? If not, how do I work-around it?

Nowaker (nowaker) wrote :

BAD_LIBS=`dpkg -l "*:i386" | grep 'ii' | awk '{ print $2 }' | tr '\n' ' '`
sudo apt-get remove $BAD_LIBS
sudo apt-get purge libgl1-mesa-swx11 # if you get a message about libgl1-mesa-swx11 problem
sudo ppa-purge ppa:xorg-edgers/ppa
sudo apt-get install $BAD_LIBS

I tried something like this. Looks like working.

zarquon42 (zarquon42) wrote :

Hi a saver version would be:

BAD_LIBS=`dpkg -l "*:i386" | grep 'ii' | awk '{ print $2 }' | tr '\n' ' '`
echo $BAD_LIBS > BAD.bck
AUTO=$(apt-mark showauto $BAD_LIBS)
echo $AUTO >auto
sudo apt-get remove $BAD_LIBS
#sudo apt-get purge libgl1-mesa-swx11 # if you get a message about libgl1-mesa-swx11 problem
sudo ppa-purge ppa:xorg-edgers/ppa
sudo apt-get install $BAD_LIBS
sudo apt-mark auto $AUTO

in case the terminal crashes you have backup information about packages and status

Very good and clean solution by zarquon42 in #8, confirmed as working perfectly.

Tim Lunn (darkxst) wrote :

I have updated the script to make ppa-purge multiarch aware (see linked branch).

Robert Hooker (sarvatt) on 2012-11-27
Changed in ppa-purge (Ubuntu):
status: Confirmed → Fix Committed
Jeremy Bicha (jbicha) on 2012-11-27
Changed in ppa-purge:
status: New → Fix Committed
Changed in ppa-purge (Ubuntu):
status: Fix Committed → Triaged
Changed in ppa-purge (Ubuntu Precise):
importance: Undecided → High
Changed in ppa-purge (Ubuntu Quantal):
importance: Undecided → High
Changed in ppa-purge (Ubuntu Precise):
status: New → Triaged
Changed in ppa-purge (Ubuntu Quantal):
status: New → Triaged
Lorenzo De Liso (blackz) wrote :

I'm going to upload the fix soon.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ppa-purge - 0.2.8+bzr57

---------------
ppa-purge (0.2.8+bzr57) raring; urgency=low

  [ Tim Lunn ]
  * Generate a multiarch aware package revert list (LP: #892886)
  [ Lorenzo De Liso ]
  * Bumped Standard-Versions to 3.9.3, no additional changes required
 -- Lorenzo De Liso <email address hidden> Fri, 30 Nov 2012 10:29:01 +0100

Changed in ppa-purge (Ubuntu):
status: Triaged → Fix Released

Before this can be released to Quantal, someone will need to fill out a SRU Bug Template. See:

https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

Once that is done, resubscribe ~ubuntu-sponsors for an upload.

The fix depends on a version of aptitude that is higher than currently exists in Precise. So that will need to be fixed before a Precise SRU can proceed.

Tim Lunn (darkxst) on 2012-12-03
description: updated
Lorenzo De Liso (blackz) wrote :

Uploaded in precise-proposed.

Changed in ppa-purge (Ubuntu Precise):
status: Triaged → Fix Committed
Lorenzo De Liso (blackz) wrote :

Uploaded in quantal-proposed.

Changed in ppa-purge (Ubuntu Quantal):
status: Triaged → Fix Committed
Tim Lunn (darkxst) wrote :

Lorezno, It would be good to get Bug #706774 merged before SRU to precise, since it removes the dependency on aptitude which is still broken in precise (pending SRU of Bug #831768)

Lorenzo De Liso (blackz) wrote :

I will prepare a new upload for precise

Changed in ppa-purge (Ubuntu Precise):
status: Fix Committed → Triaged
Lorenzo De Liso (blackz) wrote :

Uploaded in precise-proposed.

Changed in ppa-purge (Ubuntu Precise):
status: Triaged → Fix Committed

ubuntu-sru ACK.

Changed in ppa-purge (Ubuntu Precise):
status: Fix Committed → In Progress
Changed in ppa-purge (Ubuntu Quantal):
status: Fix Committed → In Progress

Hello Robert, or anyone else affected,

Accepted ppa-purge into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ppa-purge/0.2.8+bzr56.0.12.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ppa-purge (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Colin Watson (cjwatson) wrote :

I've unsubscribed ubuntu-archive, as I don't see anything for the archive admin team to do here. Feel free to resubscribe us if there's a clear action for us to perform.

Colin Watson (cjwatson) wrote :

I'm not desperately familiar with ppa-purge, but I tried this out in a quantal schroot instance in order to help with the SRU verification queue. It does indeed appear to behave much more sensibly with the provided test case than the old version did.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ppa-purge - 0.2.8+bzr56.0.12.10

---------------
ppa-purge (0.2.8+bzr56.0.12.10) quantal-proposed; urgency=low

  * Generate a multiarch aware package revert list (LP: #892886)
  * Bumped Standard-Versions to 3.9.3, no additional changes required
 -- Lorenzo De Liso <email address hidden> Tue, 04 Dec 2012 23:10:01 +0100

Changed in ppa-purge (Ubuntu Quantal):
status: Fix Committed → Fix Released
Bhavani Shankar (bhavi) wrote :

Hello All

I am using the same version from quantal-updates

bhavani@bhavani-spagetti-monster:~$ apt-cache policy ppa-purge
ppa-purge:
  Installed: 0.2.8+bzr56.0.12.10
  Candidate: 0.2.8+bzr56.0.12.10
  Version table:
 *** 0.2.8+bzr56.0.12.10 0
        500 http://nl.archive.ubuntu.com/ubuntu/ quantal-updates/universe i386 Packages
        100 /var/lib/dpkg/status
     0.2.8+bzr56 0
        500 http://nl.archive.ubuntu.com/ubuntu/ quantal/universe i386 Packages

and the problem seems to be recurring on my system when I try to remove ppa:canonical-qt5-edgers/qt5-beta1

I get:

(Note: using PPA purge I get:
 (Reading database ... 353050 files and directories currently installed.)
Removing apt-file ...
Removing autopoint ...
Removing cmake ...
Removing cmake-data ...
Remove cmake-data for emacs
Remove cmake-data for emacs23
remove/cmake-data: Purging byte-compiled files for emacs23
Removing cowbuilder ...
Removing debian-policy ...
Removing developers-reference ...
Removing dh-autoreconf ...
Removing git-buildpackage ...
Removing libconfig-file-perl ...
Removing libgsoap2 ...
Removing libregexp-assemble-perl ...
Removing libxmlrpc-core-c3 ...
Removing lptools ...
Removing piuparts ...
Removing python-chameleon ...
Removing python-indicate ...
Removing ubuntu-packaging-guide ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 8 removed doc-base files...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
dpkg: warning: downgrading libwayland0:i386 from 0.95.2+git~20120903-1ubuntu1 to 0.95.0-0ubuntu1
(Reading database ... 351126 files and directories currently installed.)
Preparing to replace libwayland0:i386 0.95.2+git~20120903-1ubuntu1 (using .../libwayland0_0.95.0-0ubuntu1_i386.deb) ...
Unpacking replacement libwayland0:i386 ...
Setting up libwayland0:i386 (0.95.0-0ubuntu1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

PPA purged successfully using aptitude fallback)

So it appears the bug has still not fixed for me

Kindly request you to correct me if I'm wrong somewhere

Regards,

Tim Lunn (darkxst) wrote :

Bhavani, that does not specifically look like its related to this bug,
can you try the patch from this bug https://bugs.launchpad.net/ubuntu/+source/ppa-purge/+bug/706774
(there is a packaged version on xorg-edgers ppa.)

Bhavani Shankar (bhavi) wrote :

Thanks Tim. Let me check and revert

Regards,

Bhavani Shankar (bhavi) wrote :

Hey Tim,

Just tested your patch on the bug you mentioned and seems like the packages related to the PPA also gets removed.

(please correct me if I have got the the working principle wrong as I assume packages also gets reverted)

Output below:

bhavani@bhavani-spagetti-monster:/usr/sbin$ sudo ppa-purge ppa:canonical-qt5-edgers/qt5-beta1
Updating packages lists
PPA to be removed: canonical-qt5-edgers qt5-beta1
Package revert list generated:
 libwayland0:i386/quantal qlalr- qt3d:i386- qt5-meta-full- qtbase-
qtconnectivity:i386- qtcreator/quantal qtcreator-doc/quantal qtdeclarative-
qtdoc- qtdocgallery- qtfeedback- qtgraphicaleffects:i386- qtimageformats:i386-
qtjsbackend- qtlocation:i386- qtmultimedia:i386- qtphonon- qtpim- qtquick1-
qtscript- qtsensors:i386- qtsvg:i386- qtsystems:i386- qttools- qtwayland-
qtwebkit- qtwebkit-examples-and-demos- qtxmlpatterns-

Disabling canonical-qt5-edgers PPA from
/etc/apt/sources.list.d/canonical-qt5-edgers-qt5-beta1-quantal.list
Updating packages lists
Reading package lists... Done
Building dependency tree
Reading state information... Done
libwayland0 is already the newest version.
libwayland0 set to manually installed.
qtcreator is already the newest version.
qtcreator-doc is already the newest version.
qtcreator-doc set to manually installed.
Selected version '0.95.0-0ubuntu1' (Ubuntu:12.10/quantal [i386]) for 'libwayland0'
Selected version '2.15-0ubuntu20.1' (Ubuntu:12.10/quantal-proposed [i386]) for 'libc6' because of 'libwayland0'
Selected version '2.6.1-0ubuntu1~quantal1~test3' (Canonical Qt5 proper packages:12.10/quantal [i386]) for 'qtcreator'
Selected version '2.6.1-0ubuntu1~quantal1~test3' (Canonical Qt5 proper packages:12.10/quantal [all]) for 'qtcreator-doc'
The following package was automatically installed and is no longer required:
  libsqlite0
Use 'apt-get autoremove' to remove it.
The following packages will be REMOVED:
  qlalr qt3d qt5-meta-full qtbase qtconnectivity qtdeclarative qtdoc
  qtdocgallery qtfeedback qtgraphicaleffects qtimageformats qtjsbackend
  qtlocation qtmultimedia qtphonon qtpim qtquick1 qtscript qtsensors qtsvg
  qtsystems qttools qtwayland qtwebkit qtwebkit-examples-and-demos
  qtxmlpatterns
0 upgraded, 0 newly installed, 26 to remove and 388 not upgraded.
After this operation, 250 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.
The following packages will be REMOVED:
  libsqlite0{u} libwayland0{u} qlalr qt3d qt5-meta-full qtbase
  qtconnectivity qtdeclarative qtdoc qtdocgallery qtfeedback
  qtgraphicaleffects qtimageformats qtjsbackend qtlocation qtmultimedia
  qtphonon qtpim qtquick1 qtscript qtsensors qtsvg qtsystems qttools
  qtwayland qtwebkit qtwebkit-examples-and-demos qtxmlpatterns
0 packages upgraded, 0 newly installed, 28 to remove and 388 not upgraded.
Need to get 0 B of archives. After unpacking 251 MB will be freed.
Do you want to continue? [Y/n/?] n
Abort.
Warning: Something went wrong, packages may not have been reverted

Regards,

Tim Lunn (darkxst) wrote :

Bhavani, packages that don't exist in the Ubuntu repositories, will be removed. That is normal and expected, and you should just push 'Y' there!

Bhavani Shankar (bhavi) wrote :

Ok.. thanks Tim for the clarification.

Regards
Bhavani

information type: Public → Public Security
information type: Public Security → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers